<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script src="js/dist/pearson-header.js"></script>

    <style>
      .gradient-bg {
        width:100%; height:100vh; background: radial-gradient(circle, rgba(15,54,108,1) 0%, rgba(38,98,140,0.8337710084033614) 0%, rgba(15,54,108,1) 100%);
      }
      .light-bg {
        background-color:#f5f5f5;
      }
    </style>
  </head>

  <body>
    <div class="gradient-bg" style="height:70px;">
      <pearson-header notifications="0" theme="dark" name="aaa bbb" loggedin></pearson-header>
    </div>
    <div class="light-bg" style="height:70px;">
      <pearson-header notifications="0" theme="light" name="ccc ddd" logolink="http://google.com" loggedin></pearson-header>
    </div>
    <div class="gradient-bg" style="height:70px;">
      <pearson-header notifications="5" theme="dark" name="eee fff" logolink="http://pearson.com" loggedin>

      </pearson-header>
    </div>
    <div class="light-bg" style="height:70px;">
      <pearson-header notifications="0" theme="light" name="ccc ddd">
        <img src="https://via.placeholder.com/468x60?text=Your+Image">
      </pearson-header>
    </div>

    <main id="main">
       All content goes here
    </main>

  <script>
    document.addEventListener('logout', event=> {
      console.log('logout')
    })
  </script>
  </body>
</html>
